Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78967

Summary: updating transaction info causes a ISE on rhnapp
Product: Red Hat Network Reporter: Adrian Likins <alikins>
Component: RHN/BackendAssignee: Bret McMillan <bretm>
Status: CLOSED CURRENTRELEASE QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: medium Docs Contact:
Priority: medium    
Version: RHN StableCC: alikins, mihai.ibanescu, rhn-bugs, taw
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: RHN 2.x Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-03-02 00:01:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Adrian Likins 2002-12-04 00:14:49 UTC
Pointing current errata candidate up2date client at webdev, when
I attempt to update a transaction list, I get:

note that this package was installed, removed, installed, removed,
etc a couple of times. 



Exception Handler Information
Traceback (innermost last):
  File "/var/www/rhns/server/apacheRequest.py", line 96, in call_function
    response = apply(func, params)
  File "/var/www/rhns/server/handlers/xmlrpc/registration.py", line 446, in
update_transactions
    rhnServer.add_transactions(server, timestamp, transactions_hash)
  File "/var/www/rhns/server/rhnServer/server_transactions.py", line 129, in
add_transactions
    delete_transactions(deleted_transactions)
  File "/var/www/rhns/server/rhnServer/server_transactions.py", line 262, in
delete_transactions
    return h.execute(id=arr)
  File "/var/www/rhns/server/rhnSQL/_intOracle.py", line 63, in execute
    raise apply(sql_base.SQLError, tuple(e.args))
SQLError: (2292, 'ORA-02292: integrity constraint (RHN.RHN_TRANSELEM_TID_FK)
violated - child record
+found\012', {'SQL': 'delete from rhnTransaction where id = :id', 'Params':
[(':id', [111])]})

Comment 1 Mihai Ibanescu 2002-12-09 19:25:45 UTC
Fixed before bug #79179 was found.